# Documentation available at https://gitlab-org.gitlab.io/professional-services-automation/pipelinecoe/pipeline-templates/#/PipelineTemplates/Governance

stages:
  - build
  - docker-build
  - compliance
  - test
  - deploy
  - dast

include:
  - template: Security/SAST.gitlab-ci.yml
  - template: Security/DAST.gitlab-ci.yml
  - template: Security/Dependency-Scanning.gitlab-ci.yml
  - template: Security/API-Fuzzing.gitlab-ci.yml
  - template: Security/License-Scanning.gitlab-ci.yml
  
  - local: 'SecurityOverrides.gitlab-ci.yml'
  - local: 'Security.gitlab-ci.yml'
  - project: '$CI_PROJECT_PATH'
    file: '$CI_CONFIG_PATH'
    ref: '$CI_COMMIT_REF_NAME'
